## elogind 234.4

=== debian/changelog ===
elogind (234.4-2) ascii-proposed; urgency=medium

  * merge changes from suites/experimental

 -- Andreas Messer <andi@bastelmap.de>  Thu, 22 Feb 2018 21:42:34 +0100

elogind (234.4-2~exp1) experimental; urgency=medium

  * debian/rules
    - Make libpam-elogind break libpam-ck-connector
  * enable pristine-tar 

 -- Andreas Messer <andi@bastelmap.de>  Thu, 22 Feb 2018 19:49:52 +0100

elogind (234.4-1+devuan1.5) ascii; urgency=medium

  * migrated to ascii 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 10 Feb 2018 16:58:38 +0000

elogind (234.4-1+devuan1.4) experimental; urgency=medium

  *  debian/libelogind-dev.install
    -  Drop manpages to allow installation in parallel
       with libsystemd-dev
  * debian/extras/elogind
    - enable elogind pam by default

 -- Andreas Messer <andi@bastelmap.de>  Wed, 07 Feb 2018 22:23:46 +0100

elogind (234.4-1+devuan1.3) experimental; urgency=medium

  * debian/patches/fix-forking.diff 
    - Fix startpar not erminating due to open file descriptors after
      forking

 -- Andreas Messer <andi@bastelmap.de>  Sat, 27 Jan 2018 12:44:32 +0100

elogind (234.4-1+devuan1.2) experimental; urgency=medium

  * debian/rules
    - disable killing background processes on logout

 -- Andreas Messer <andi@bastelmap.de>  Sat, 20 Jan 2018 16:53:32 +0100

elogind (234.4-1+devuan1) experimental; urgency=medium

  * Initial release.

 -- Andreas Messer <andi@bastelmap.de>  Thu, 04 Jan 2018 19:26:09 +0100

=== debian/rules ===
#! /usr/bin/make -f

# The options have been chooses as follows:
# - manually set pamlibdir because we'Re installing in /usr by default but 
#   pam libs must go to /lib/*/security, same for udev rules
# - disable killing users processes by default. This is weird an unexpected
#   behavior
# - Disable lto because this makes the build fail with static library 
#   warnings and with  linking errors. (It seems that instead of ar/ld
#   gcc-ar and gcc should be used)
# - tests disabled beacuase some of the tests seem to require elogind running.
#   Need to sort out which tests could be run

CONFFLAGS = \
  --with-pamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
  --with-udevrulesdir=/lib/udev/rules.d \
  --without-kill-user-processes \
  --disable-lto \
  --disable-tests

CONFFLAGS_CGROUPCTRL_ELOGIND= \
  --with-cgroup-controller=elogind

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build \
    -- $(CONFFLAGS) $(CONFFLAGS_CGROUPCTRL_ELOGIND)

override_dh_missing:
	dh_missing --list-missing

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibeudev1
	  
%:
	dh $@ --builddirectory=build --with autoreconf --parallel

## elogind 239.3

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1+

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix''')
#if 0 /// UNNEEDED by elogind
# option('link-udev-shared', type : 'boolean',
#        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
# option('link-systemctl-shared', type: 'boolean',
#        description : 'link systemctl against libsystemd-shared.so')
#endif // 0
option('static-libelogind', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libelogind''')
#if 0 /// UNNEEDED by elogind
# option('static-libudev', type : 'combo',
#        choices : ['false', 'true', 'pic', 'no-pic'],
#        description : '''install a static library for libudev''')
# 
# option('sysvinit-path', type : 'string', value : '/etc/init.d',
#        description : 'the directory where the SysV init scripts are located')
# option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
#        description : 'the base directory for SysV rcN.d directories')
# option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
#        description : 'path to telinit')
# option('rc-local', type : 'string',
#        value : '/etc/rc.local')
# option('halt-local', type : 'string',
#        value : '/usr/sbin/halt.local')
# 
# option('quotaon-path', type : 'string', description : 'path to quotaon')
# option('quotacheck-path', type : 'string', description : 'path to quotacheck')
# option('kill-path', type : 'string', description : 'path to kill')
# option('kmod-path', type : 'string', description : 'path to kmod')
#else
# elogind must have a configurable rootlibexecdir
option('rootlibexecdir', type : 'string',
       description : '''override the root libexec directory path''')

# And because elogind depends on external udev, it must be
# configurable as well.
option('udevrulesdir', type : 'string',
       description : '''directory for udev rules files''')

option('udevbindir', type : 'string',
       description : '''directory for udev binary files''')

# We are nice and make the documentation paths configurable
option('docdir', type : 'string', description : 'path where to install the documentation.')
option('htmldir', type : 'string', description : 'path where to install the HTML documentation.')

# We have no systemd-shutdown binary, so we need 'halt', 'reboot' and 'poweroff'
option('halt-path', type : 'string', description : 'path to halt')
option('poweroff-path', type : 'string', description : 'path to poweroff')
option('reboot-path', type : 'string', description : 'path to reboot')
#endif // 0
option('kexec-path', type : 'string', description : 'path to kexec')
#if 0 /// UNNEEDED by elogind
# option('sulogin-path', type : 'string', description : 'path to sulogin')
# option('mount-path', type : 'string', description : 'path to mount')
# option('umount-path', type : 'string', description : 'path to umount')
# option('loadkeys-path', type : 'string', description : 'path to loadkeys')
# option('setfont-path', type : 'string', description : 'path to setfont')
# 
# option('debug-shell', type : 'string', value : '/bin/sh',
#        description : 'path to debug shell binary')
# option('debug-tty', type : 'string', value : '/dev/tty9',
#        description : 'specify the tty device for debug shell')
# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache'], value : [],
#        description : 'enable extra debugging')
# option('memory-accounting-default', type : 'boolean',
#        description : 'enable MemoryAccounting= by default')
#endif // 0
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
#if 1 /// Add an extra debugging option for elogind
option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'mmap-cache'], value : [],
       description : 'enable extra debugging')
#endif // 1

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
#if 0 /// UNNEEDED by elogind
# option('hibernate', type : 'boolean',
#        description : 'support for hibernation')
# option('ldconfig', type : 'boolean',
#        description : 'support for dynamic linker cache creation')
# option('resolve', type : 'boolean',
#        description : 'systemd-resolved stack')
# option('efi', type : 'boolean',
#        description : 'enable systemd-boot and bootctl')
# option('tpm', type : 'boolean',
#        description : 'TPM should be used to log events and extend the registers')
# option('environment-d', type : 'boolean',
#        description : 'support for environment.d')
# option('binfmt', type : 'boolean',
#        description : 'support for custom binary formats')
# option('coredump', type : 'boolean',
#        description : 'install the coredump handler')
# option('logind', type : 'boolean',
#        description : 'install the systemd-logind stack')
# option('hostnamed', type : 'boolean',
#        description : 'install the systemd-hostnamed stack')
# option('localed', type : 'boolean',
#        description : 'install the systemd-localed stack')
# option('machined', type : 'boolean',
#        description : 'install the systemd-machined stack')
# option('portabled', type : 'boolean',
#        description : 'install the systemd-portabled stack')
# option('networkd', type : 'boolean',
#        description : 'install the systemd-networkd stack')
# option('timedated', type : 'boolean',
#        description : 'install the systemd-timedated daemon')
# option('timesyncd', type : 'boolean',
#        description : 'install the systemd-timesyncd daemon')
# option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'support for "journal over the network"')
# option('myhostname', type : 'boolean',
#        description : 'nss-myhostname support')
# option('firstboot', type : 'boolean',
#        description : 'support for firstboot mechanism')
# option('randomseed', type : 'boolean',
#        description : 'support for restoring random seed')
# option('backlight', type : 'boolean',
#        description : 'support for restoring backlight state')
# option('vconsole', type : 'boolean',
#        description : 'support for vconsole configuration')
# option('quotacheck', type : 'boolean',
#        description : 'support for the quotacheck tools')
# option('sysusers', type : 'boolean',
#        description : 'support for the sysusers configuration')
# option('tmpfiles', type : 'boolean',
#        description : 'support for tmpfiles.d')
# option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install the systemd-importd daemon')
# option('hwdb', type : 'boolean',
#        description : 'support for the hardware database')
# option('rfkill', type : 'boolean',
#        description : 'support for the rfkill tools')
#endif // 0
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')

#if 0 /// UNNEEDED by elogind
# option('certificate-root', type : 'string', value : '/etc/ssl',
#        description : 'the prefix for TLS certificates')
#endif // 0
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('pkgconfigdatadir', type : 'string', value : 'share/pkgconfig',
       description : 'directory for ')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for ')
#if 0 /// UNNEEDED by elogind
# option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
#        description : 'directory for rpm macros ["no" disables]')
#endif // 0
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('docdir', type : 'string',
       description : 'documentation directory')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
#if 0 /// UNNEEDED by elogind
# option('compat-gateway-hostname', type : 'boolean', value : 'false',
#        description : 'allow "gateway" as the symbolic name for default gateway')
#endif // 0
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'hybrid',
#if 0 /// elogind interprets this a bit different
#        description : 'default cgroup hierarchy')
# option('time-epoch', type : 'string',
#        description : 'time epoch for time clients')
#else
       description : '''Wanted cgroup hierarchy if elogind has to be a cgroup controller:
                "legacy"  assumes tmpfs mounted on /sys/fs/cgroup and cgroup on its
                                  subfolders.
                "hybrid"  assumes cgroups version 2 mounted on /sys/fs/cgroup/unified.
                                  /sys/fs/cgroup is legacy, then.
                "unified" assumes cgroups version 2 on /sys/fs/cgroup''')
option('cgroup-controller', type : 'string',
       description : 'Name of the cgroup controller to use')
#endif // 0
option('system-uid-max', type : 'string',
       description : 'maximum system UID')
option('system-gid-max', type : 'string',
       description : 'maximum system GID')
#if 0 /// UNNEEDED by elogind
# option('dynamic-uid-min', type : 'string',
#        description : 'minimum dynamic UID',
#        value : '61184') # That's → 0x0000EF00 in hex
# option('dynamic-uid-max', type : 'string',
#        description : 'maximum dynamic UID',
#        value : '65519') # That's → 0x0000FFEF in hex
# option('container-uid-base-min', type : 'string',
#        description : 'minimum container UID base',
#        value : '524288') # That's → 0x00080000 in hex
# option('container-uid-base-max', type : 'string',
#        description : 'maximum container UID base',
#        value : '1878982656') # That's → 0x6FFF0000 in hex
#endif // 0
option('tty-gid', type : 'string',
       description : 'the numeric GID of the "tty" group',
       value : '5')
#if 0 /// UNNEEDED by elogind
# option('users-gid', type : 'string',
#        description : 'the numeric GID of the "users" group')
# option('adm-group', type : 'boolean',
#        description : 'the ACL for adm group should be added')
# option('wheel-group', type : 'boolean',
#        description : 'the ACL for wheel group should be added')
#endif // 0
option('nobody-user', type : 'string',
       description : 'The name of the nobody user (the one with UID 65534)',
       value : 'nobody')
option('nobody-group', type : 'string',
       description : 'The name of the nobody group (the one with GID 65534)',
       value : 'nobody')
#if 0 /// UNNEEDED by elogind
# option('dev-kvm-mode', type : 'string', value : '0666',
#        description : '/dev/kvm access mode')
# option('group-render-mode', type : 'string', value : '0666',
#        description : 'Access mode for devices owned by render group (e.g. /dev/dri/renderD*, /dev/kfd).')
#endif // 0
option('default-kill-user-processes', type : 'boolean',
       description : 'the default value for KillUserProcesses= setting')
option('gshadow', type : 'boolean',

## elogind 234.4.2.3

=== debian/changelog ===
elogind (234.4.2.3) unstable; urgency=medium

  * added elogind.postinst script

 -- anticapitalista <antix@operamail.com>  Sat, 10 Mar 2018 19:51:49 +0200

elogind (234.4.2.2) unstable; urgency=medium

  * add appropriate hook to initramfs - thanks to PutlerKaputt

 -- anticapitalista <antix@operamail.com>  Fri, 09 Mar 2018 19:46:59 +0200

elogind (234.4.2.1) unstable; urgency=medium

  * Devuan upsteam changes
  * Make libpam-elogind break libpam-ck-connector
  * merge changes from suites/experimental

 -- anticapitalista <antix@operamail.com>  Tue, 06 Mar 2018 17:09:35 +0200

elogind (234.4.2) unstable; urgency=medium

  * Devuan upstream changes
  * Fix startpar not erminating due to open file descriptors after forking
  * enable elogind pam by default
  * Drop manpages to allow installation in parallel

 -- anticapitalista <antix@operamail.com>  Fri, 09 Feb 2018 14:57:05 +0200

elogind (234.4.1) unstable; urgency=medium

  * debian/rules  - disable killing background processes on logout
  * upstream devuan fix

 -- anticapitalista <antix@operamail.com>  Wed, 24 Jan 2018 19:48:45 +0200

elogind (234.4) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 17 Jan 2018 12:59:35 +0200

=== debian/control ===
Source: elogind
Section: admin
Priority: optional
Maintainer: Andreas Messer <andi@bastelmap.de>
Standards-Version: 3.9.8
Vcs-Git: https://git.devuan.org/amesser/elogind.git
Vcs-Browser: https://git.devuan.org/amesser/elogind.git
Homepage: https://github.com/elogind/elogind
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.0),
               pkg-config,
               docbook-xsl,
               dh-autoreconf,
               automake (>= 1.11),
               autoconf,
               libtool,
               intltool,
               gperf,
               gtk-doc-tools,
               python3-lxml,
               libcap-dev,
               libudev-dev,
               libmount-dev (>= 2.20),
               libseccomp-dev (>= 1.0),
               libblkid-dev (>= 2.24),
               libpam0g-dev (>= 1.1.2),
               libacl1-dev,
               libselinux1-dev,
               libglib2.0-dev

Package: elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1,
         libelogind0 (= ${binary:Version}),
         lsb-base (>= 3.1),
         dbus (>= 1.4)
Recommends: policykit-1
Provides: logind
Conflicts: systemd
Description: user, seat and session management daemon
 elogind is a session management daemon extracted from systmd project's 
 "logind"

Package: libelogind0
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: user, seat and session management library
 This library provides access to elogind session management

Package: libelogind-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libelogind0 (= ${binary:Version})
Description: user, seat and session management library (development files)
 This package contains the files needed for developing applications that 
 use libelogind

Package: libpam-elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         elogind (= ${binary:Version}),
         libpam-runtime
Breaks: libpam-ck-connector,
        libpam-systemd
Provides: libpam-systemd
Replaces: libpam-systemd
Description: elogind PAM module 
 Plugable Authentication Module to register a session with elogind

## elogind 239.1

=== debian/changelog ===
elogind (239.1-0.1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream release v239.1.
  * Rework packaging for meson buildsystem.
  * Change libpam-elogind Breaks dependencies to Conflicts.
  * Update to debhelper compat 11.
  * Update to Standards version 4.2.1 (no changes).
  * Enable LTO build as it works with binutils from unstable (2.31.1).
  * Include manpages in -dev package.
  * Move documentation consistency changes to a  quilt patch.
  * Add AppStream metainfo.
  * Add upstream watchfile.
  * Don't package /lib/udev/rules.d/70-power-switch.rules which is also in udev.
  * Configure with -Dsplit-usr=true to ensure consistent build.
  * Fix SIGABRT on daemonization caused by freeing overlapping pointers to
    program_invocation[_short]_name (Upstream:
    https://github.com/elogind/elogind/issues/92).
  * New version of /etc/pam.d/elogind-user based on Debian systemd.

  [ Andreas Messer ]
  * fix debian branch in gbp.conf
  * change upstream version tagname

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 07 Nov 2018 00:00:29 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Andreas Messer <andi@bastelmap.de>
-Standards-Version: 3.9.8
-Vcs-Git: https://git.devuan.org/amesser/elogind.git
-Vcs-Browser: https://git.devuan.org/amesser/elogind.git
+Standards-Version: 4.2.1
+Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/elogind
 Homepage: https://github.com/elogind/elogind
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
                pkg-config,
                docbook-xsl,
-               dh-autoreconf,
-               automake (>= 1.11),
-               autoconf,
-               libtool,
-               intltool,
+               meson,
                gperf,
                gtk-doc-tools,
                python3-lxml,
@@ -44,7 +40,7 @@
 Provides: logind
 Conflicts: systemd
 Description: user, seat and session management daemon
- elogind is a session management daemon extracted from systmd project's 
+ elogind is a session management daemon extracted from systemd project's
  "logind"
 
 Package: libelogind0
@@ -81,8 +77,8 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Breaks: libpam-ck-connector,
-        libpam-systemd
+Conflicts: libpam-ck-connector
+Breaks: libpam-systemd
 Provides: libpam-systemd
 Replaces: libpam-systemd
 Description: elogind PAM module

=== debian/rules ===
#! /usr/bin/make -f

# The options have been chooses as follows:
# - manually set pamlibdir because we'Re installing in /usr by default but
#   pam libs must go to /lib/*/security, same for udev rules
# - disable killing users processes by default. This is weird an unexpected
#   behavior
# - SELinux build is broken on 239 (fix available for 240)
# - tests disabled beacuase some of the tests seem to require elogind running.
#   Need to sort out which tests could be run

CONFFLAGS = \
  -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
  -Drootlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
  -Dsplit-usr=true \
  -Ddocdir=/usr/share/doc/elogind \
  -Dudevrulesdir=/lib/udev/rules.d \
  -Ddefault-kill-user-processes=false \
  -Dselinux=false \
  -Dtests=false

CONFFLAGS_CGROUPCTRL_ELOGIND= \
  -Dcgroup-controller=elogind

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build \
        -- $(CONFFLAGS) $(CONFFLAGS_CGROUPCTRL_ELOGIND)

override_dh_auto_install:
	dh_auto_install --builddirectory=build

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build
	# remove Python byte code files
	rm -rf tools/__pycache__/

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -pelogind -Xlibelogind-shared
	dh_makeshlibs --remaining

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibeudev1

%:
	dh $@  --builddirectory=build --without autoreconf,systemd --buildsystem=meson

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=3

# For GitHub projects you can use the tags or releases page.  Since the archive
# URLs use only the version as the name, it is recommended to use a
# filenamemangle to adjust the name of the downloaded file:
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/elogind-$1.tar.gz/" \
 https://github.com/elogind/elogind/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## elogind 239.1+20181112+gd4a3f291e395+nosubmodule

=== debian/changelog ===
elogind (239.1+20181112+gd4a3f291e395+nosubmodule-1+debian1) unstable; urgency=medium

  * Update to upstream 239.2 prerelease. [Mark Hindley]
  * Change version number to +20181112+gd4a3f291e395. [Ian Jackson]
  * Make debian-init-diversity list the Maintainer and add myself
    to Uploaders. [Ian Jackson]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 13 Nov 2018 14:06:37 +0000

elogind (239.1-1+debian1~rc2) unstable; urgency=medium

  * Update fix for SIGABRT to upstream #92.
  * Disable Dbus activation by default.
  * Use shutdown rather than poweroff as the latter is missing on runit systems.
  * Remove upstream pwx git submodule. Thanks to Ian Jackson.
  * libelogind-dev conflicts libsystemd-dev.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 09 Nov 2018 13:01:28 +0000

elogind (239.1-1+debian1~rc1) unstable; urgency=medium

  * Initial upload to Debian (closes: #905388).
  * New upstream release v239.1.
  * Rework packaging for meson buildsystem.
  * Change libpam-elogind Breaks dependencies to Conflicts.
  * Update to debhelper compat 11.
  * Update to Standards version 4.2.1 (no changes).
  * Enable LTO build as it works with binutils from unstable (2.31.1).
  * Include manpages in -dev package.
  * Move documentation consistency changes to a  quilt patch.
  * Add AppStream metainfo.
  * Add upstream watchfile.
  * Don't package /lib/udev/rules.d/70-power-switch.rules which is also in udev.
  * Configure with -Dsplit-usr=true to ensure consistent build.
  * Fix SIGABRT on daemonization caused by freeing overlapping pointers to
    program_invocation[_short]_name (Upstream:
    https://github.com/elogind/elogind/issues/92).
  * New version of /etc/pam.d/elogind-user based on Debian systemd.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 07 Nov 2018 16:31:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
+Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders: Andreas Messer <andi@bastelmap.de>,
+           Mark Hindley <mark@hindley.org.uk>,
+           Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/elogind
+Vcs-Git: https://git.devuan.org/LeePen/elogind.git
+Vcs-Browser: https://git.devuan.org/LeePen/elogind
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
@@ -35,7 +38,7 @@
          libudev1,
          libelogind0 (= ${binary:Version}),
          lsb-base (>= 3.1),
-         dbus (>= 1.4)
+         dbus (>= 1.9.14)
 Recommends: policykit-1
 Provides: logind
 Conflicts: systemd
@@ -63,6 +66,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libelogind0 (= ${binary:Version})
+Conflicts: libsystemd-dev
 Description: user, seat and session management library (development files)
  This package contains the files needed for developing applications that 
  use libelogind
@@ -78,9 +82,6 @@
          elogind (= ${binary:Version}),
          libpam-runtime
 Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd
-Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #   pam libs must go to /lib/*/security, same for udev rules
 # - disable killing users processes by default. This is weird an unexpected
 #   behavior
+# - /sbin/poweroff is missing on runit systems, so use /sbin/shutdown instead
 # - SELinux build is broken on 239 (fix available for 240)
 # - tests disabled beacuase some of the tests seem to require elogind running.
 #   Need to sort out which tests could be run
@@ -16,6 +17,7 @@
   -Ddocdir=/usr/share/doc/elogind \
   -Dudevrulesdir=/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
+  -Dpoweroff-path=/sbin/shutdown \
   -Dselinux=false \
   -Dtests=false

## elogind 239.1+20181115

=== debian/changelog ===
elogind (239.1+20181115-1) experimental; urgency=medium

  * Upstream fix to address excessive delay closing sessions.
  * To build polkit, we will need to install libsystemd-dev and libelogind-dev
    simlultaneously. So
     - move dev manpages to separate package.
     - no longer conflict -dev package with libsystemd-dev.
  * Disable Dbus activation by default.
  * Remove upstream pwx git submodule. Thanks to Ian Jackson.
  * Rework packaging for meson buildsystem.
  * Change libpam-elogind Breaks dependencies to Conflicts.
  * Update to debhelper compat 11.
  * Update to Standards version 4.2.1 (no changes).
  * Enable LTO build as it works with binutils from unstable (2.31.1).
  * Move documentation consistency changes to a quilt patch.
  * Add AppStream metainfo.
  * Add upstream watchfile.
  * Don't package /lib/udev/rules.d/70-power-switch.rules which is also in udev.
  * Configure with -Dsplit-usr=true to ensure consistent build.
  * New version of /etc/pam.d/elogind-user based on Debian systemd.
  * New upstream release v239.1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 15 Nov 2018 10:49:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
-Uploaders: Andreas Messer <andi@bastelmap.de>,
-           Mark Hindley <mark@hindley.org.uk>,
-           Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Andreas Messer <andi@bastelmap.de>
+Uploaders: Mark Hindley <mark@hindley.org.uk>
 Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/LeePen/elogind.git
-Vcs-Browser: https://git.devuan.org/LeePen/elogind
+Vcs-Git: https://git.devuan.org/devuan-pacakges/elogind.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/elogind.git
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
@@ -66,9 +64,22 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libelogind0 (= ${binary:Version})
-Conflicts: libsystemd-dev
 Description: user, seat and session management library (development files)
  This package contains the files needed for developing applications that 
+ use libelogind
+
+
+Package: libelogind-dev-doc
+Section: libdevel
+Priority: optional
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libelogind-dev (= ${binary:Version})
+Description: user, seat and session management library (development documentation files)
+ This package contains the documentation related to developing applications that
  use libelogind
 
 Package: libpam-elogind
@@ -82,6 +93,9 @@
          elogind (= ${binary:Version}),
          libpam-runtime
 Conflicts: libpam-ck-connector
+Breaks: libpam-systemd
+Provides: libpam-systemd
+Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 #   pam libs must go to /lib/*/security, same for udev rules
 # - disable killing users processes by default. This is weird an unexpected
 #   behavior
-# - /sbin/poweroff is missing on runit systems, so use /sbin/shutdown instead
-# - SELinux build is broken on 239 (fix available for 240)
 # - tests disabled beacuase some of the tests seem to require elogind running.
 #   Need to sort out which tests could be run
 
@@ -17,8 +15,6 @@
   -Ddocdir=/usr/share/doc/elogind \
   -Dudevrulesdir=/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
-  -Dpoweroff-path=/sbin/shutdown \
-  -Dselinux=false \
   -Dtests=false
 
 CONFFLAGS_CGROUPCTRL_ELOGIND= \

## elogind 239.3

=== debian/changelog ===
elogind (239.3-4+debian1) unstable; urgency=medium

  * Set AppStream component id to begin with a reverse domain name.
  * Add Breaks and Replaces libelogind-dev (<< 239.1+20181115-1) to
    libelogind-dev-doc (Closes: #916786).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 19 Dec 2018 09:15:05 +0000

elogind (239.3-3+debian1) unstable; urgency=medium

  * Preserve session and seat data when restarting (Closes: #916247).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 14 Dec 2018 00:48:03 +0000

elogind (239.3-2+debian1) unstable; urgency=medium

  * Fix stale pidfile handling (Closes: #916212).
  * Add separate reload option to initscript.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 13 Dec 2018 11:26:15 +0000

elogind (239.3-1+debian1) unstable; urgency=medium

  * New upstream release.
  * Delete Dbus_lib_machine-id patch, now included upstream.
  * Delete manpage-branding.diff, now incorporated upstream.
  * Use CC0-1.0 for AppStream metadata license.
  * Correct typos in debian/rules comments.
  * Correct typo in Vcs-Git url.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 07 Dec 2018 11:14:43 +0000

elogind (239.2-1+debian1) UNRELEASED; urgency=medium

  * New upstream version 239.2.
  * Enable compile-time testsuite which depends on dbus.
  * Include busctl manpage.
  * Support /var/lib/dbus/machine-id as alternative to /etc/machine-id.
  * Enable SELinux support.
  * Change Vcs- fields to point to https://git.devuan.org/devuan-packages/
  * Set correct debian-branch and upstream-tag in debian/gbp.conf.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 27 Nov 2018 18:37:09 +0000

elogind (239.1+20181115-1) unstable; urgency=medium

  * Upstream fix to address excessive delay closing sessions.
  * Revert to default setting for poweroff-path. This can be overridden by
    sysadmin in logind.conf.
  * To build proposed different policykit-1 flavours, we will need to install
    libsystemd-dev and libelogind-dev simlultaneously. So
     - move dev manpages, coding style and gvariant serialisation documentation
       to a new libelogind-dev-doc package.
     - libelogind-dev suggests libelogind-dev-doc and no longer conflicts with
       libsystemd-dev.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 15 Nov 2018 10:38:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
-Uploaders: Mark Hindley <mark@hindley.org.uk>
+Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders: Andreas Messer <andi@bastelmap.de>,
+           Mark Hindley <mark@hindley.org.uk>,
+           Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/devuan-pacakges/elogind.git
+Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
 Vcs-Browser: https://git.devuan.org/devuan-packages/elogind.git
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
@@ -23,7 +25,8 @@
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
-               libglib2.0-dev
+               libglib2.0-dev,
+               dbus (>= 1.9.14)
 
 Package: elogind
 Section: admin
@@ -64,6 +67,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libelogind0 (= ${binary:Version})
+Suggests: libelogind-dev-doc
 Description: user, seat and session management library (development files)
  This package contains the files needed for developing applications that 
  use libelogind
@@ -72,12 +76,15 @@
 Package: libelogind-dev-doc
 Section: libdevel
 Priority: optional
-Architecture: linux-any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libelogind-dev (= ${binary:Version})
+         ${misc:Depends}
+Recommends: libelogind-dev (= ${binary:Version})
+Replaces: libelogind-dev (<< 239.1+20181115-1)
+Breaks: libelogind-dev (<< 239.1+20181115-1)
+Conflicts: libsystemd-dev
 Description: user, seat and session management library (development documentation files)
  This package contains the documentation related to developing applications that
  use libelogind
@@ -93,9 +100,6 @@
          elogind (= ${binary:Version}),
          libpam-runtime
 Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd
-Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind

## elogind 239.3+20190131

=== Makefile ===
.PHONY: all install loginctl test test-login

all:
	ninja -C build

install:
	DESTDIR=$(DESTDIR) ninja -C build install

loginctl:
	ninja -C build loginctl

test:
	ninja -C build test

test-login:
	ninja -C build test-login

=== debian/changelog ===
elogind (239.3+20190131-1+debian1) unstable; urgency=medium

  * New snapshot of upstream/v239-stable.
  * Remove local patches now fixed upstream.
  * libpam-elogind provides new virtual package logind (versioned).
  * Use new SIGINT handler for graceful restarts in initscript.
  * Specify debian branch in Vcs-* fields.
  * Update to Standards version 4.3.0 (no changes).
  * Correct closes bug number in 239.3-4+debian1 changelog.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 04 Feb 2019 08:35:44 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Andreas Messer <andi@bastelmap.de>,
            Mark Hindley <mark@hindley.org.uk>,
            Ian Jackson <ijackson@chiark.greenend.org.uk>
-Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/elogind.git
+Standards-Version: 4.3.0
+Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b debian
+Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/debian
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
@@ -41,7 +41,6 @@
          lsb-base (>= 3.1),
          dbus (>= 1.9.14)
 Recommends: policykit-1
-Provides: logind
 Conflicts: systemd
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
@@ -99,7 +98,9 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Conflicts: libpam-ck-connector
+Provides: logind (= ${binary:Version})
+Conflicts: logind, libpam-ck-connector
+Replaces: logind
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,10 @@
 #! /usr/bin/make -f
 
-# The options have been chooses as follows:
-# - manually set pamlibdir because we'Re installing in /usr by default but
+# The options have been chosen as follows:
+# - manually set pamlibdir because we're installing in /usr by default but
 #   pam libs must go to /lib/*/security, same for udev rules
 # - disable killing users processes by default. This is weird an unexpected
-#   behavior
-# - tests disabled beacuase some of the tests seem to require elogind running.
-#   Need to sort out which tests could be run
+#   behaviour
 
 CONFFLAGS = \
   -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
@@ -15,7 +13,7 @@
   -Ddocdir=/usr/share/doc/elogind \
   -Dudevrulesdir=/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
-  -Dtests=false
+  -Dtests=true
 
 CONFFLAGS_CGROUPCTRL_ELOGIND= \
   -Dcgroup-controller=elogind
